Page MenuHomePhabricator

Set up UrlShortener extension on the beta cluster
Closed, ResolvedPublic

Description

  • Figure out where the shortcode database is supposed to live as there is no extension1 cluster in beta. (there is a wikishared database though)
  • Set up w-beta.wmflabs.org as beta's "short" domain
  • Deploy and configure the extension for beta's url structure
  • ...
  • Profit!

Event Timeline

Legoktm created this task.Oct 23 2015, 10:22 PM
Legoktm raised the priority of this task from to Normal.
Legoktm updated the task description. (Show Details)
Legoktm added a subscriber: Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 23 2015, 10:22 PM

Change 248601 had a related patch set uploaded (by Legoktm):
Add apache rewrite rule for UrlShortener on beta cluster

https://gerrit.wikimedia.org/r/248601

Change 248602 had a related patch set uploaded (by Legoktm):
Set up UrlShortener extension on beta cluster

https://gerrit.wikimedia.org/r/248602

Legoktm updated the task description. (Show Details)Oct 24 2015, 6:24 AM
Legoktm set Security to None.

Change 248601 merged by Ori.livneh:
Add apache rewrite rule for UrlShortener on beta cluster

https://gerrit.wikimedia.org/r/248601

http://w-beta.wmflabs.org/ works, http://w-beta.wmflabs.org/foo does not. The apache debug output looks like:

[Sat Oct 24 07:55:56.946221 2015] [rewrite:trace2] [pid 4620] mod_rewrite.c(468): [client 10.68.21.68:40196] 10.68.21.68 - - [w-beta.wmflabs.org/sid#7f7ed6534d88][rid#7f7ed63db0a0/initial] init rewrite engine with requested uri /foo
[Sat Oct 24 07:55:56.946261 2015] [rewrite:trace3] [pid 4620] mod_rewrite.c(468): [client 10.68.21.68:40196] 10.68.21.68 - - [w-beta.wmflabs.org/sid#7f7ed6534d88][rid#7f7ed63db0a0/initial] applying pattern '^/(.+)$' to uri '/foo'
[Sat Oct 24 07:55:56.946337 2015] [rewrite:trace2] [pid 4620] mod_rewrite.c(468): [client 10.68.21.68:40196] 10.68.21.68 - - [w-beta.wmflabs.org/sid#7f7ed6534d88][rid#7f7ed63db0a0/initial] rewrite '/foo' -> 'http://meta.wikimedia.beta.wmflabs.org/w/index.php?title=Special:UrlRedirector/foo'
[Sat Oct 24 07:55:56.946346 2015] [rewrite:trace3] [pid 4620] mod_rewrite.c(468): [client 10.68.21.68:40196] 10.68.21.68 - - [w-beta.wmflabs.org/sid#7f7ed6534d88][rid#7f7ed63db0a0/initial] split uri=http://meta.wikimedia.beta.wmflabs.org/w/index.php?title=Special:UrlRedirector/foo -> uri=http://meta.wikimedia.beta.wmflabs.org/w/index.php, args=title=Special:UrlRedirector/foo
[Sat Oct 24 07:55:56.946355 2015] [rewrite:trace2] [pid 4620] mod_rewrite.c(468): [client 10.68.21.68:40196] 10.68.21.68 - - [w-beta.wmflabs.org/sid#7f7ed6534d88][rid#7f7ed63db0a0/initial] implicitly forcing redirect (rc=302) with http://meta.wikimedia.beta.wmflabs.org/w/index.php
[Sat Oct 24 07:55:56.946360 2015] [rewrite:trace2] [pid 4620] mod_rewrite.c(468): [client 10.68.21.68:40196] 10.68.21.68 - - [w-beta.wmflabs.org/sid#7f7ed6534d88][rid#7f7ed63db0a0/initial] forcing 'http://meta.wikimedia.beta.wmflabs.org/w/index.php' to get passed through to next API URI-to-filename handler
[Sat Oct 24 07:55:56.946368 2015] [core:error] [pid 4620] [client 10.68.21.68:40196] AH00126: Invalid URI in request GET /foo HTTP/1.1
[Sat Oct 24 07:55:56.946388 2015] [headers:debug] [pid 4620] mod_headers.c(870): AH01503: headers: ap_headers_error_filter()
Legoktm updated the task description. (Show Details)Oct 24 2015, 8:07 AM
Legoktm edited subscribers, added: Krenair, ori, yuvipanda; removed: gerritbot.

Change 248617 had a related patch set uploaded (by Alex Monk):
Fix w-beta.wmflabs.org redirect

https://gerrit.wikimedia.org/r/248617

Change 248617 merged by Ori.livneh:
Fix w-beta.wmflabs.org redirect

https://gerrit.wikimedia.org/r/248617

Change 248602 merged by jenkins-bot:
Set up UrlShortener extension on beta cluster

https://gerrit.wikimedia.org/r/248602

hashar closed this task as Resolved.Nov 16 2015, 12:22 PM
hashar claimed this task.
hashar added a subscriber: hashar.

Gave it a try using the side bar link "Get shortened URL". That generated http://w-beta.wmflabs.org/6 which works for me.

hashar reassigned this task from hashar to Legoktm.Nov 16 2015, 12:23 PM